Module:
  0: {id: 1, name: 'core', status: 1}
  1: {id: 2, name: 'admin', status: 1}
  2: {id: 3, name: 'pim', status: 1}  
  3: {id: 4, name: 'leave', status: 1}
  4: {id: 5, name: 'time', status: 1}
  5: {id: 6, name: 'attendance', status: 1}
  6: {id: 7, name: 'recruitment', status: 0}
  7: {id: 8, name: 'recruitmentApply', status: 1}
  8: {id: 9, name: 'performance', status: 0}
  
UserRole:
  0: {id: 1, name: Admin, display_name: Admin, is_assignable: 1, is_predefined: 1}
  1: {id: 2, name: ESS, display_name: ESS, is_assignable: 1, is_predefined: 1}
  2: {id: 3, name: Supervisor, display_name: Supervisor, is_assignable: 0, is_predefined: 1}
  3: {id: 4, name: 'TestAdmin', display_name: 'TestAdmin', is_assignable: 1, is_predefined: 0}
  4: {id: 5, name: 'UserRole1', display_name: 'UserRole1', is_assignable: 1, is_predefined: 0}
  5: {id: 6, name: 'UserRole2', display_name: 'UserRole2', is_assignable: 1, is_predefined: 0}
  6: {id: 7, name: 'UserRole3', display_name: 'UserRole3', is_assignable: 1, is_predefined: 0}
  7: {id: 8, name: 'Admin2', display_name: 'Admin2', is_assignable: 1, is_predefined: 0}  
  
HomePage:
  0: {id: 1, user_role_id: 1, action: 'pim/viewEmployeeList', priority: 10}
  1: {id: 2, user_role_id: 2, action: 'pim/viewMyDetails', enable_class: 'TestClass', priority: 0}
  2: {id: 3, user_role_id: 1, action: 'pim/viewSystemUsers', enable_class: 'SystemUserViewEnableClass', priority: 30}
  3: {id: 4, user_role_id: 1, action: 'pim/viewEmployeeTimesheets', enable_class: 'TestViewEnableClass', priority: 50}  
  4: {id: 5, user_role_id: 3, action: 'pim/viewEmployeeList', priority: 30}   
  
ModuleDefaultPage:
  0: {id: 1, module_id: 2, user_role_id: 1, action: 'admin/viewSystemUsers', priority: 20}
  1: {id: 2, module_id: 3, user_role_id: 1, action: 'pim/viewEmployeeList', priority: 20}
  2: {id: 3, module_id: 3, user_role_id: 3, action: 'pim/viewEmployeeList', priority: 10}
  3: {id: 4, module_id: 3, user_role_id: 2, action: 'pim/viewMyDetails', priority: 0}
  4: {id: 5, module_id: 4, user_role_id: 1, action: 'leave/viewLeaveList/reset/1', priority: 20}
  5: {id: 6, module_id: 4, user_role_id: 3, action: 'leave/viewLeaveList/reset/1', priority: 10}
  6: {id: 7, module_id: 4, user_role_id: 2, action: 'leave/viewMyLeaveList', priority: 0}
  7: {id: 8, module_id: 4, user_role_id: 1, action: 'leave/defineLeavePeriod', enable_class: 'HomePageEnableIfLeavePeriodDefined', priority: 100}
  8: {id: 9, module_id: 4, user_role_id: 2, action: 'leave/showLeavePeriodNotDefinedWarning', enable_class: 'HomePageEnableIfLeavePeriodDefined', priority: 90}
  9: {id: 10, module_id: 5, user_role_id: 1, action: 'time/viewEmployeeTimesheet', priority: 20}
  10: {id: 11, module_id: 5, user_role_id: 2, action: 'time/viewMyTimesheet', priority: 0}
  11: {id: 12, module_id: 5, user_role_id: 1, action: 'time/defineTimesheetPeriod', enable_class: 'HomePageEnableIfTimesheetPeriodDefined', priority: 100}
  12: {id: 13, module_id: 5, user_role_id: 2, action: 'time/defineTimesheetPeriod', enable_class: 'HomePageEnableIfTimesheetPeriodDefined', priority: 100}
  13: {id: 14, module_id: 8, user_role_id: 1, action: 'recruitment/viewCandidates', priority: 20}
  14: {id: 15, module_id: 8, user_role_id: 5, action: 'recruitment/viewCandidates', priority: 10}
  15: {id: 16, module_id: 8, user_role_id: 6, action: 'recruitment/viewCandidates', priority: 5}
  16: {id: 17, module_id: 9, user_role_id: 1, action: 'performance/viewReview', priority: 20}
  17: {id: 18, module_id: 9, user_role_id: 2, action: 'performance/viewReview', priority: 0}